#
# spec file for package gnome-power-manager (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-power-manager
Version:        2.28.2
Release:        1.1.1
License:        GPLv2+
Summary:        Power Management for GNOME
Url:            http://gnome-power.sourceforge.net/
Group:          System/GUI/GNOME
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.16/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gnome-power-manager-ck-events-idle.patch bgo597189 bnc540517 vuntz@opensuse.org -- Emit ConsoleKit events in the idle loop to suppress consecutive events, and fix suspend happening when coming back from suspend (when lid is closed)
Patch1:         gnome-power-manager-ck-events-idle.patch
# PATCH-NEEDS-REBASE gnome-power-manager-schedule-wakeups.patch gburt fate302448 -- add tab to prefs to schedule rtcwake (was PATCH-FEATURE-OPENSUSE)
Patch10:        gnome-power-manager-schedule-wakeups.patch
# PATCH-FEATURE-UPSTREAM gnome-power-manager-notify-idle-sleep.patch hmacht bnc#439018 bgo575467 -- notify user about auto suspend when returning from sleep
Patch12:        gnome-power-manager-notify-idle-sleep.patch
# PATCH-FIX-OPENSUSE gnome-power-manager-no-fallback-to-hibernate.patch hmacht@suse.de bnc#440410
Patch14:        gnome-power-manager-no-fallback-to-hibernate.patch
BuildRequires:  DeviceKit-power-devel
BuildRequires:  docbook-utils
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  gnome-patch-translation
BuildRequires:  hal-devel
BuildRequires:  intltool
BuildRequires:  libcanberra-devel
BuildRequires:  libnotify-devel
BuildRequires:  libunique-devel
BuildRequires:  libwnck-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  xmlto
Requires:       %{name}-lang = %{version}
Requires:       DeviceKit-power
Requires:       gnome-session
Requires:       hal
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
GNOME Power Manager is a session daemon that takes care of power
management.

GNOME Power Manager uses information provided by HAL to display icons
and handle system and user actions in a GNOME session. Authorized users
can set policy and change preferences.

GNOME Power Manager acts as a policy agent on top of the Project Utopia
stack, which includes the kernel, hotplug, udev, and HAL. GNOME Power
Manager listens for HAL events and responds with user-configurable
reactions.

%package -n gnome-applets-brightness
License:        GPLv2+
Summary:        A GNOME panel applet to control brightness on laptop screens
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description -n gnome-applets-brightness
GNOME Power Manager is a session daemon that takes care of power
management.

This package provides an applet to control brightness on your laptop
screen.

%package -n gnome-applets-inhibit-powersave
License:        GPLv2+
Summary:        A GNOME panel applet to disable and reenable power saving
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description -n gnome-applets-inhibit-powersave
GNOME Power Manager is a session daemon that takes care of power
management.

This package provides an applet to disable and reenable powersaving on
the fly.

%lang_package
%prep
%setup -q
# FIXME Will be fixed in the next release after 2.27.2, so uncomment
#translation-update-upstream
#gnome-patch-translation-prepare
# Needs rebase:
#%patch10 -p1
%patch1 -p1
%patch12 -p1
%patch14 -p1
#gnome-patch-translation-update

%build
autoreconf -f -i
%configure \
    --libexecdir=%{_libexecdir}/gnome-power-manager \
    --disable-schemas-install \
    --disable-scrollkeeper
%{__make} %{?jobs:-j %jobs}

%install
%makeinstall
%suse_update_desktop_file gnome-power-preferences System X-SuSE-ControlCenter-System
%suse_update_desktop_file gnome-power-manager
%suse_update_desktop_file gnome-power-statistics
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%{_bindir}/*
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/gnome-power-manager.service
%{_datadir}/gnome-power-manager
%{_datadir}/icons/hicolor/*/apps/*
%doc %{_mandir}/man?/*.*
%dir %{_libexecdir}/gnome-power-manager

%files -n gnome-applets-brightness
%defattr(-, root, root)
%{_libdir}/bonobo/servers/GNOME_BrightnessApplet.server
%{_libexecdir}/gnome-power-manager/gnome-brightness-applet
%{_datadir}/gnome-2.0/ui/GNOME_BrightnessApplet.xml

%files -n gnome-applets-inhibit-powersave
%defattr(-, root, root)
%{_libdir}/bonobo/servers/GNOME_InhibitApplet.server
%{_libexecdir}/gnome-power-manager/gnome-inhibit-applet
%{_datadir}/gnome-2.0/ui/GNOME_InhibitApplet.xml

%files lang -f %{name}.lang

%changelog
* Mon Dec 14 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + Updated translations
- Changes from version 2.28.1:
  + Add missing indirection to return value of
    DriveSetAllSpindownTimeouts call
  + Fix failure error messages and comments
  + Help the kernel through its sleep key confusion
  + Improve configure summary wrt HAL
  + Use separate variables for dbus and dbus-glib
  + Remove devkit-power tool configure check
  + Correctly set the focus on the last used device in
    gnome-power-statistics
  + Do not hide some radio buttons depending on the current machine
    state
  + Fix up all the issues reported by clang
  + Don't try to match and refresh some devices, to stop g-p-s
    crashing on virual devices
  + DeviceKit-disks is expecting an int as a value, not a uint
  + Throttle screensaver before suspend/hibernate
  + Updated translations.
* Mon Oct  5 2009 vuntz@opensuse.org
- Add gnome-power-manager-ck-events-idle.patch to fix suspend
  happening when coming back from suspend and the lid is closed. We
  emit ConsoleKit events in the idle loop to suppress consecutive
  events which were causing the bug. Fix bnc#540517.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Bugfix:
  - Use accessor functions instead direct access
  - Only print the DeviceKit-power device data when debugging
  - Use the correct interface name for DeviceKit-disks
  - Use the correct gnome-screensaver path
  - Use g_ptr_array_unref() in more places, which also fixes a
    few small memory leaks
  - Comment out the AuthRequest signal handling
  - Change the default of show_actions_in_menu to FALSE
  - bgo#593800 - Inhibit applet now will inhibit the session from
    being marked IDLE
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + When building with hal, link gnome-power-manager against
    libhal-glib
  + Make notifications more reliable at session startup
  + Fix a bug where the critical time was not displayed correctly
  + Don't crash g-p-s when there are no devices
  + Open the gnome-power-manager help, not the 'cheese' help
  + Never, never, show 'Unknown time'. Fixes rh#520999
  + Allow compile without HAL
  + Remove small memory leak spotted using clang
  + Assign the correct icon when the sleep fails
  + Correct some shoddy error checking
  + Updated translations.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 2.27.91:
  + Remove the depricated Encoding= lines from the desktop files.
    Fixes bgo#590612
  + Fix up quite a few translations
  + Add the enumerated actions in a 64bit safe way. Fixes
    bgo#590991
  + Don't show the brightness OSD when system AC state changes
  + Remove all the bodges from the IDLETIMER code now X is fixed
  + Only show shutdown in the prefs GUI if ConsoleKit allows it
  + Always show the battery status icons in the left click action
  + Change the notification default for fully charged to FALSE for
    bgo#592613
  + Updated translations.
- Respin gnome-power-manager-notify-idle-sleep.patch.
- Remove DeviceKit-devel BuildRequires. Thanks Kay Sievers!
* Mon Aug  3 2009 vuntz@novell.com
- Update to version 2.27.5:
  + New Features:
  - Claim org.freedesktop.Policy.Power on D-BUS
  - Remove PolkitGnome code completely as PolicyKit 1.0 doesn't
    need this
  - Add a bodge to reset the idletime XAlarm when we are no
    longer inhibited
  - Add functionality to debug the idle code by setting
    GPMIDLEDEBUG on the command line
  - Use the same composited OSD for brightness notification.
    Fixes rh#512968
  - Add DeviceKit data to the bugreport script
  + Bugfix:
  - Fix pointer alignment to build on sparc
  - gnome-power-bugreport.sh: add missing hasbang
  - Show .desktop files in XFCE
  - Make hotkeys work with modifiers
  - Remove an unused include to fix compile
  - Be more paranoid about setting idle in a race
  - Remove some UI elements after UI review
  - Correct the type of the fully-charged signal. Fixes
    bgo#588259
  - Don't ever fallback to the warning icon in the tray when
    batteries are invalid
  - Don't show a discharging battery notification on each
    battery, just the global battery
  - The composite battery is only fully charged if all batteries
    are fully charged
  - Remove GpmNotify, and do the notifications in a more sane
    way. Fixes bgo#423186
  - Constrain the user to a dropdown selection of times, as
    freeform sliders are bad UI
  - Add policy to show icon when low, rather than critically low.
    Fixes bgo#589125
  - Inhibit gnome-session in the applet, not gnome-power-manager
  - Change the default to hibernate when critically low on
    battery power
  - When libnotify fails, fall back to modal dialogs
  - Use enumerated values for the policy actions, and hide 'Do
    nothing' unless specified in GConf
  - Finally remove the CanSuspend and CanHibernate options, now
    that gnome-session is ported
  - Switch back to org.gnome.PowerManager as we don't adhere to
    the shared spec anymore
  - Compile common code with a noinst library to make compile
    quicker, and reduce the compressed package size by 100kB
  - Add a GConf key to show or hide the sleep quirk site
  - Make the orange icons yellower. Fixes rh#512962
  - Use the correct DBus signal types when watching gnome-session
  - Save the caches value before we emit the inhibit and idle
    signals
  - Only show gnome-power-statistics in the context menu if it is
    installed. Fixes rh#514249
  - Only use libpanel-applet flags to build applets
- Drop gnome-power-manager-desktop.patch: it's useless, and we use
  suse_update_desktop_file to change categories now anyway.
- Drop gnome-power-manager-reduce-deps.patch: fixed upstream.
- Respin gnome-power-manager-notify-idle-sleep.patch.
- Drop PolicyKit-gnome-devel BuildRequires.
* Wed Jul 29 2009 vuntz@novell.com
- Do not mark dbus service file as a config file: it's in datadir.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Features:
  - Enable pretty compiler output with new automake versions
  - Use composite battery mode by default to fix multi-battery
    laptops
  - Add manager policy to change the disk spindown based on
    timeouts set in GConf
  - Add GConf keys for the disk spindown functionality
  - Add preferences checkboxes for the disk spindown
    functionality
  - No longer support HAL legacy buttons
  - Add support for recall data provided by DeviceKit-power
  + Bugfixes:
  - Prefix GTKBuilder files with gettext/glade
  - Use gtk_show_uri i.s.o. gnome-open
  - Remove -Wunitialized because it does not compile on Ubuntu
    Jaunty
  - Fix the category in the gnome-power-statistic desktop file.
    Fixes rh#489041
  - Make minimum size of th statistics graphs smaller. Fixes
    rh#491426
  - Don't show the feedback widget when the brightness changes,
    only on key press and when interactive
  - If we caught our idletime alarm, then remove from the filter
  - Take the battery capacity into account when using multiple
    batteries
  - Ignore capacity readings of less than 1%%
  - Show a label to the user when there is no graph data
  - Add statistics devices in visually pleasing order
  - Use the composite device for getting the global system
    warning icon
  - Setup the reset event before we do the idle action, to
    finally fix blanking
  - Be more paranoid about setting idle in a race
  - Remove three unused GConf keys
  - Don't show the whole object path in the GUI, just show the ID
  - Only print the DeviceKit device if we are using --verbose
  - Remove a little bit more of our HAL dep, and use the
    lid-is-present DK-p property
  - Fix compile with DKP_DISABLE_DEPRECATED turned on
  - Remove ambient light sensor support, and keyboard backlight
    devices
  - Support DKP_DEVICE_STATE_PENDING_x in more places
  + Updated translations.
- Remove non-existing --enable-legacy-buttons and
  - -enable-policykit options from configure.
- Use libexecdir instead of prefix/lib.
- Drop gnome-power-manager-call-SetPowerSave.patch: new
  DeviceKit-power now calls pm-powersave when appropriate. Also
  drop liblazy-devel BuildRequires.
- Comment translation-update-upstream and
  gnome-patch-translation-*: it's broken with this release.
* Tue Jun  2 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Features:
  - Add DOAP file
  - Connect to gnome-session and exit on logout
  - Change the default lid close on AC policy to be suspend, not
    blank
  - Show the processor device if we have capability, not if we
    have events
  - Add support for the DeviceKit-power property lid-is-closed so
    we can now run without --enable-legacy-buttons
  - Convert from libglade to GtkBuilder
  - Expose graph details as properties on the object, and
    constrain time to user value. Fixes bgo#581910
  - Add a composite device to GpmEngine so we can DTRT for
    multiple primary batteries
  + Bugfixes:
  - Add desktop category to doap file
  - Only setup the blanking timeout when a timeout is set. Fixes
    rh#498041
  - Attach the libnotify popups to the notification icon later
  - Check whether xrandr-1.3 features are really supported by
    xorg-server. Fixes bgo#582142
  - Preload gconf tree /apps/gnome-power-manager recursively.
    Fixes bgo#578545
  - Fix the low capacity warning to fix rh#489832
  - Rewrite the DPMS class to have 1%% of the complexity
  - Remove unused GConf keys
  - Use ngettext for a 2.26.x era string. Fixes bgo#576128
  - Unref the popup window when it's cleared. Fixes bgo#577901
  - Ensure we clear the default DPMS timeout of 1200s. Should fix
    bgo#576169
  - Remove our local copy of libdevkit-power
  - Convert a floating reference to prevent a GTK warning
  - Use G_GINT64_FORMAT to fix compile on 64 bit computers
  - Do the lid policy action on active-change. Fixes rh#497262
  - Don't segfault if org.gnome.Session is not present on the
    bus. Fixes bgo#581425
  - Ensure we are on battery power before we take any of the low
    power battery actions
  - Remove the unused abstraction GpmAdapter, and use DkpClient
    directly
  - Remove the single use abstract GpmRefcount and use a local
    timer
  - Remove some methods on the DBus interface that have moved to
    DeviceKit-power
  - Remove the inhibit interface, and rely on gnome-session
  - Use DeviceKit-power to get the can-suspend and can-hibernate
    properties
  - Handle return to NORMAL idle when lid closed a bit better
  - Correct the polarity of the on-ac battery check when
    inhibiting the screensaver
  - Correct the logic for the fully charged and discharging
    popups
  - Don't try to keep closing the feedback widget
  - Don't always show a single graph dot in
    gnome-power-statistics
  + Updated translations.
- Respin gnome-power-manager-call-SetPowerSave.patch.
- Remove libglade2-devel BuildRequires.
- Change DeviceKit-power BuildRequires to DeviceKit-power-devel.
- Update gnome-power-manager-call-SetPowerSave.patch: put back some
  code that got removed in this release but that we need.
* Sun May  3 2009 mboman@suse.de
- Change BuildRequires from unique-devel to libunique-devel
* Wed Apr 22 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Fix the low capacity warning to fix rh#489832
  + Convert a floating reference to prevent a GTK warning
  + Backport DPMS and IDLETIME fixes from master to fix multiple
    bugs
  + Connect to gnome-session and exit on logout
  + Use G_GINT64_FORMAT to fix compile on 64 bit computers
  + Trivial build fix
  + Updated translations.
* Mon Mar 23 2009 hmacht@suse.de
- add gnome-power-manager-call-SetPowerSave.patch:
  gpm-2.26 doesn't use hal anymore, but only uses DeviceKit-*.
  However DeviceKit-power doesn't provide the same functionality
  as hal yet. One thing is the SetPowerSave method which should be
  called when AC adapter state changes. Without this temporary
  patch, we'd kill battery runtime.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Updated translations.
* Sun Mar 15 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Many changes since 2.24 branch.
  + The most important change is that gnome-power-manager now uses
    DeviceKit-power.
- Respin gnome-power-manager-notify-idle-sleep.patch and
  gnome-power-manager-reduce-deps.patch.
- Disable gnome-power-manager-schedule-wakeups.patch: needs to be
  respinned, but it's a bit too complex, so I'll let the original
  developer do it.
- Drop gnome-power-manager-bnc446595-shutdown-dialog.patch: fixed
  upstream.
- Drop gnome-power-manager-system-policy.patch: fixed upstream
  another way a long time ago.
- Drop gpm-zh_CN-translation.patch: we want to use upstream
  translations.
- Drop gpm-icons.tar.bz2: those icons are not used since quite some
  time, so stop installing them.
- Pass --with-doc-dir, --enable-legacy-buttons and
  - -enable-policykit to configure.
- Do not pass --with-dbus-services with default value to configure.
- Remove unneeded BuildRequires: docbook_4, gstreamer010-devel,
  libgnomeprintui-devel, libgnomeui-devel, notification-daemon,
  scrollkeeper.
- Remove unneeded Requires: PolicyKit, dbus-1, notification-daemon.
- Replace gnome-screensaver with gnome-session in Requires:
  gnome-power-manager now uses gnome-session for idle.
- Add BuildRequires: DeviceKit-devel, DeviceKit-power,
  gnome-keyring-devel, hal-devel, libcanberra-devel, unique-devel.
- Add Requires: DeviceKit-power.
- Remove AutoReqProv: it's default now.
- Don't package omf files twice (they are in the lang package too).
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
- Re-enabled gnome-patch-translation support.
* Sat Feb 14 2009 mboman@suse.de
  + bgo#562576, Battery profile is not saved correctly
  + bgo#566115, Fails to build on sparc
  + bgo#569100, When brightness is to 0, pressing one more
    brightness causes hang
  + bgo#566095, Don't step through each brightness state when we
    fade modes
  + bgo#562836, GPM OSD does not popup on machines that support
    keys in HW but not in xrandr
  + bgo#562900, gnome power manager keeps using xrandr backend
    after failed calls
  + Reset the event time after we resume so the duplicate key
    detection code works correctly
  + bgo#558670, Make "Make defaults" actually work
  + Backport the duplicate button handling from trunk
  + Don't apply policy when not active
  + Allow configure to complete without PolicyKit
  + Translation updates
- Remove gnome-power-manager-pk-sensitive.patch. Fixed upstream
- Remove gnome-power-manager-nocast.patch. Fixed upstream
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Mon Feb  2 2009 vuntz@novell.com
- Remove non-existing configure flags
- Small cleanups
* Sun Jan 25 2009 vuntz@novell.com
- Call %%suse_update_desktop_file on all desktop files. Part of
  bnc#445728.
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Tue Dec 16 2008 hmacht@suse.de
- gnome-power-manager-no-fallback-to-hibernate.patch: Do not fall
  back to hibernation when suspend did not work (bnc#440410)
* Tue Dec  9 2008 schwab@suse.de
- Fix last change.
* Tue Dec  9 2008 ro@suse.de
- remove unneccessary cast to fix build on ia64
* Sat Dec  6 2008 mauro@suse.de 
- Updated translations
* Tue Nov 25 2008 hmacht@suse.de
- gnome-power-manager-bnc446595-shutdown-dialog.patch: Use the
  shutdown menu when power button is pressed instead of the logout
  menu (bnc#446595)
* Fri Nov  7 2008 vuntz@novell.com
- Update gnome-power-manager-notify-idle-sleep.patch: better
  strings, and use a default compatible for upstream (will change
  the default in the branding package).
* Fri Nov  7 2008 hmacht@suse.de
- gnome-power-manager-notify-idle-sleep.patch: notify user about auto
  suspend when returning from sleep (bnc#439018)
* Tue Nov  4 2008 maw@suse.de
- Split out panel applet subpackages: gnome-applets-brightness
  and gnome-applets-inhibit-powersave (bnc#440797)
- Add gnome-power-manager-reduce-deps.patch (bnc#440797).
* Fri Oct 31 2008 vuntz@novell.com
- Add gnome-power-manager-pk-sensitive.patch to correctly set the
  sensitivity of the "Make defaults" button in the preferences.
  Fix bnc#435768.
* Thu Oct 23 2008 maw@suse.de
- Update to version 2.24.1:
  + Correct the name of the HAL PolicyKit methods
  + Fix segfault with low battery
  + Updated translations.
* Thu Sep 25 2008 rodrigo@novell.com
- Update to version 2.24.0:
  + Fixed bgo#547502, gnome-power-manager won't configure
  + Fixed bgo#547766, Crash in gpm_cell_array_update gpm-cell-array.c:273
  + Fixed bgo#549789, "unknown" battery type untranslated
  + Fixed bgo#549844, DBUS times out after longer suspends
  + Fixed bgo#549854, gpm-cell.c not translator friendly
  + Updated translations
- Updated gnome-power-manager-system-policy.patch to use egg_debug
* Thu Sep 18 2008 rodrigo@suse.de
- Moved schemas-only gnome-power-manager-energy-star.patch to
  gconf2-branding-openSUSE package
* Fri Sep 12 2008 hmacht@suse.de
- gnome-power-manager-energy-star.patch: Enable Energy Star
  compliant default configuration (fate#304708)
* Thu Sep 11 2008 gburt@suse.de
- Add new patch gnome-power-manager-schedule-wakeups.patch that adds
  a tab to the Preferences dialog, allowing configuration of automatic
  wakeup from suspend and hibernate at a given time on given days.
  Calculate the seconds-from-now to pass to HAL based on that
  configuration.  Part of the changes needed for fate#302448.
* Tue Sep  2 2008 mboman@novell.com
- Update to version 2.23.91:
  + Fixed bgo#547502, gnome-power-manager won't configure
  + Fixed bgo#547766, Crash in gpm_cell_array_update gpm-cell-array.c:273
  + Fixed bgo#549789, "unknown" battery type untranslated
  + Fixed bgo#549854, gpm-cell.c not translator friendly
  + Translation updates
* Fri Aug  8 2008 captain.magnus@opensuse.org
- Update to version 2.23.6:
  - Fixed bgo#544298, gpm 2.23.3 fails to compile (Richard Hughes)
  - Fixed bgo#546556, g-p-m unable to startup on Solaris Sparc because of
    missing XRandr (Simon Zheng)
  - Supress low battery warning on Eee as it's reported as non-rechargeable
    (Matthew Garrett)
  - Use polkit-simple to simplify the optional PolicyKit bits
    Richard Hughes)
  - Completely remove all traces of the skipping suppressed action warning
    (Richard Hughes)
  - Don't use a libnotify window for the battery information, use a
    GtkDialog instead (Richard Hughes)
* Sat Jul 26 2008 captain.magnus@opensuse.org
- Update to version 2.23.3:
  + Fixed bgo#483144, Gconf key for battery brightness labeled incorrectly... (Richard Hughes)
  + Fixed bgo#492132, policy timeout prevents computer from suspend (Richard Hughes)
  + Fixed bgo#517914, Inconsistent colors of graphs (Richard Hughes)
  + Fixed bgo#521686, Removing gnome_program_init removes session management (Richard Hughes)
  + Fixed bgo#522078, aborts when suspend is chosen when running under GDM (Richard Hughes)
  + Fixed bgo#522236, g-p-m should set a window type hint for the brightness feedback window (Richard Hughes)
  + Fixed bgo#522336, Change Playbin state back to NULL on error and EOS : fix potential memory leak when using pulsaudio (Richard Hughes)
  + Fixed bgo#523152, GetBrightness returns a INT not a UINT (Richard Hughes)
  + Fixed bgo#524449, gnome-power-preferences gives a critical warning (Richard Hughes)
  + Fixed bgo#526178, Should check user capability "CanShutdown" before providing shutdown option in combo box (simon.zheng)
  + Fixed bgo#526349, gnome-power-bugreport.sh doesn't work on Solairs (simon.zheng)
  + Fixed bgo#534335, cpu load calculation doesn't work on Solaris (simon.zheng)
  + Fixed bgo#535271, XBACKLIGHT is very slow (Richard Hughes)
  + Fixed bgo#536956, Should remove cpufreq_show gconf key (simon.zheng)
* Tue Jun 17 2008 maw@suse.de
- Update to version 2.23.1:
  + Fix a bunch of build warnings with glib trunk
  + Use Unique to make g-p-p and g-p-s single instance
  + Add a default button for GConf settings
  + Remove all the hidden cpufreq code
  + Use the same logic for xrandr as hal when we have a large
    number of brightness steps
  + Clear the brightness applet background properly so we can draw
    on it later
  + Remove the lid sounds. Everbody hates them
  + Add new functionality allowing us to change the backlight
    brightness using XRANDR
  + Make the backlight do what the user expects rather than what
    the policy says
  + Bugs fixed: bgo#526178, bgo#526349, bgo#522236, bgo#522078,
    bgo#517914, bgo#524449, bgo#108075, brc#444026, and brc#443069
  + Updated translations
- Respin gnome-power-manager-system-policy.patch
- Drop obsolete patch: gnome-power-manager-initialize-vars.patch.
* Mon May 19 2008 rodrigo@suse.de
- Tag patches
* Wed Apr  2 2008 maw@suse.de
- Update to version 2.22.1:
  + Bugs fixed: bgo#517914, bgo#521686, bgo#522078, bgo#522236,
    bgo#522336, bgo#523152, and bgo#524449
  + Updated translations.
* Tue Mar 18 2008 maw@suse.de
- Disable policykit support pending upstream fixes.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Bugs fixed: bgi#514590 and bgo#520411
  + Add some missing finaliser calls
  + Updated translations.
* Thu Mar 13 2008 sbrabec@suse.cz
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE.
- Removed outdated translations.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.92:
  + Bugs fixed: bgo#507789, bgo#510068, bgo#512267, and bgo#514077
  + Updated translations
- Build with PolicyKit enabled.
* Wed Jan 30 2008 rodrigo@suse.de
- Update to version 2.21.1:
  * Fixed bgo#13360, After loading gnome gpm starts but shows
    nothing in tray icon despite option
  * Fixed bgo#474973, Lack of context to translate
  * Fixed bgo#497298, The +/- buttons on the brightness applet
    sometimes get stuck
  * Fixed bgo#497298, Avoid float computation error
  * Fixed bgo#497328, Incorrect documentation for --enable-checkfg
  * Fixed bgo#496367, Work out the size of the label text to avoid
    truncating numbers in other locales
  * Correct much of the documentation in many different ways
  * Use _NEVER for sleep problems notification, so that the user
    can always see it
  * Pass make distcheck on a desktop machine without a battery
  * Fix the keyboard brightness up button
  * Use the correct DBUS return types now HAL enforces the return type
  * Rip out GpmWebcam
  * Updated translations
- Removed upstreamed patches
* Thu Nov 29 2007 rodrigo@suse.de
- Added upstreamed patch to leave the sleep error notification up
  until dismissed by the user (#241440)
* Thu Nov  8 2007 rodrigo@suse.de
- Enable cpufreq settings by default (#222021)
* Tue Oct  2 2007 sreeves@suse.de
- Fix for 310273 - brightness problems
* Tue Sep 18 2007 maw@suse.de
- Update to version 2.20.0:
  + Fix for bugzilla.gnome.org #470481
  + Updated translations.
* Wed Sep 12 2007 rodrigo@suse.de
- Disable PolicyKit, upstream is not ported to last release (#302413)
* Mon Sep 10 2007 cthiel@suse.de
- update to version 2.19.92
  * Bugs (bugzilla.gnome.org)
    [#449274], Application specific icons are installed in the wrong directory
    [#462109], make distcheck fails on my laptop
    [#462347], Use new tooltip API of GTK 2.12
    [#467094], Typo 'the the' in two messages
    [#468509], Some grammar issues
    [#468825], Possible error in GUI text strings
  * Updated translations
* Mon Sep 10 2007 rodrigo@suse.de
- Remove patch that calls Yast2 PM module (#302413)
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.19.6:
  + Bugs (bugzilla.gnome.org) fixed: #405421, #436717, #445173,
    [#448570], #450154, #453853, #455148, #455499, #457414, #458609,
    [#458613], #459099, #459747, #406144, #411932, #413642, #422124,
    [#423289], #433367, #442425, #448570, #450154, #450362, #451241,
    [#452244], and #453721
  + Updated translations
- Add gnome-power-manager-initialize-vars.patch
- Use %%fdupes.
* Mon Jul  9 2007 maw@suse.de
- Update to version 2.19.3
- Fixes for bugzilla.gnome.org #359089, #393388, #414032, #418605,
  [#419403], #437042, #437920, #428401, #438838,  #440409,
  and #445173
- Updated translations
* Thu Jun  7 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Mon May 14 2007 pgajdos@suse.cz
- removed gnome-icon-theme from Requires and BuildRequires
  [#247450]
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.2
- Fixes for b.g.o #422345 and #425000
- Updated translations for various locales.
* Fri Mar 30 2007 maw@suse.de
- Update to version 2.18.0
- b.g.o 414311, 412345, 414010, 411592, 407613, 408705, 383653,
  and 407613.
* Fri Mar  9 2007 maw@suse.de
- Update to version 2.17.91, which brings us:
- General fixes:
  - Fixed #402823, crash in Power Manager: It had crashed when I re...
  - Fixed #406529, Crashed at login
  - Fixed #400006, Brightness applet doesn't indicate whether it's working
  - Fixed #400654, segfault on ppc architecture since upgrade to 2.17.90
  - Fixed #402230, [Typo] Case after the string 'Status:'
  - Fixed #403156, leak reported by valgrind
  - Fixed #404929, Multiple mouse battery entries after suspend/resume cycle
  - Fixed #405013, should provide the ability to halt/suspend/hibernate..
- New translations:
  - Updated fr: Stéphane Raimbault
  - Updated zh_HK: Woodman Tuen
  - Updated pt_BR: Leonardo Ferreira Fontenelle
  - Updated ca: Jordi Mas
  - Updated zh_TW: Woodman Tuen
  - Updated sv: Daniel Nylander
  - Updated ar: Djihed Afifi
  - Updated th: Theppitak Karoonboonyanan
  - Updated en_GB: David Lodge
* Wed Mar  7 2007 sbrabec@suse.cz
- Updated BuildRequires: PolicyKit -> PolicyKit-devel.
* Mon Jan 22 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
- Enabled PolicyKit support.
* Tue Nov 14 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation (#220304).
* Tue Oct 31 2006 rodrigo@suse.de
- Removed custom autostart installation directory patch.
* Tue Oct 24 2006 rodrigo@suse.de
- Removed unneeded gnome-power-manager-disable-actions.patch.
- Fixed gnome-power-manager-yast-settings.patch to match variable
  names changes.
* Mon Oct 16 2006 danw@suse.de
- Remove dead patches
- Update and re-enable gnome-power-manager-yast-settings.patch and
  gnome-power-manager-disable-actions.patch
* Fri Oct 13 2006 ro@suse.de
- added gnome-doc-utils-devel to buildreq
* Mon Oct  9 2006 hmacht@suse.de
- add temporary patch to grab org.freedesktop.Policy.Power system
  interface on startup
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 2.16.1
- Use the step value we computed (rather than one) to fix pressing
    brightness-down on the Macbook Pro
- Remove the FIXME to fix #334212. It's breaking more laptops that it
    was intended to fix and also breaks my (already broken) iBook
- Also ignore DBUS_GERROR_REMOTE_EXCEPTION as this prevents the
    'HAL failed to suspend' when actually it suspended fine but the bus
    timed out.
- Fix a couple of small memory leaks where we don't free an icon name.
  - Don't rescan buttons every minute. #356170.
  - Fix hotplug add and remove of wireless mice.
  - Add the new battery types so we don't print a warning with
    newer than HAL 0.5.8.1
  - Increase dep of libgnome to 2.14.0 because we are using
    GNOME_PARAM_GOPTION_CONTEXT, which was introduced in 2-14
- translation updates
* Fri Sep 29 2006 rodrigo@suse.de
- Removed gnome-power-manager-powersave-dbus.patch, we don't connect
  to the powersave daemon anymore.
- Move the part of the patch to add the YAST button to its own file.
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 2.16.0
- Turn off Werror in configure. #352448
- Be more specific for our device checks in the expanded device information
  to fix the display of CSR properties. rh:203849
- Fix some small memory leaks. (Paolo Borelli) #352858.
- translation updates
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- Fix a double free in the new smartcard code
- Work round a compiler bug which caused compilation to fail when using a
  high optimising setting
- Beep to warn if the suspend or hibernate failed
- Fix up the desktop files with the version number
- Change the spelling of loose to lose throughout the project
- Add a copy of the 24x24 icons instead of generating them at install time.
  Doing clever tricks with imagemagick didn't work very well
- Add a timed exit option to the daemon
- translation updates
* Wed Aug 23 2006 jhargadon@suse.de
- update to version 2.15.91
- Turn on the monitor unconditionally, as we may be using a smart-card to
  authenticate and DPMS might still be on
- Hide the 'Device Information' window if we have no devices
- Add in an extra battery charged check to avoid repetition in the battery
  charged notification under some circumstances
- Make gnome-screensaver connection more resilient to bus failures.
- Poll all the buttons every minute to detect a silent lid close event.
- Reset the action timer after an ac_adapter event has been received.
- Add support for different DPMS sleep modes to support broken monitors
- Make the precision of the power supply and power rate more reasonable.
- Install the 24x24 icons to get rid of the fuzzyness of the tray icon in some
  circumstances.
- Fix a crasher where the g-s timeout was larger than the max range for
  gnome-power-preferences.
* Mon Jun 26 2006 gekker@suse.de
- Update translations for cs de es fr it ja pt_BR zh_CN zh_TW
* Fri Jun 16 2006 gekker@suse.de
- Update translations for hu
* Thu Jun  8 2006 gekker@suse.de
- Update translations for zh_CN for zsu (#179552)
* Tue Jun  6 2006 rodrigo@suse.de
- Fixed layout of baterry preferences page (#179110)
* Fri Apr 21 2006 rodrigo@suse.de
- Added patch that makes gpm respond correctly to systray crashes
  (#165471)
* Thu Apr 13 2006 sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of old ones.
- File list fix.
* Mon Apr  3 2006 rodrigo@suse.de
- Return NOT_YET_HANDLED for dbus messages we don't handle in the
  powersave_filter_function (#162807).
* Fri Mar 31 2006 rodrigo@suse.de
- Added code to query the powersave daemon for suspend/hibernate
  availability. And added a button to open yast power management
  applet (#158105)
* Fri Mar 31 2006 rodrigo@suse.de
- Added gnome-power-manager-disable-actions.patch to disable
  handling of powersave button events (#157477).
* Tue Mar 28 2006 dobey@suse.de
- Update icons tarball with 24x24 icons instead of 22x22, this
  changed upstream for the 2.14 release to 24x24, so we need to
  use this size to avoid blurry icons
* Mon Mar 27 2006 rodrigo@suse.de
- Updated gnome-power-manager-powersave-dbus.patch to handle
  apropriate signals from powersave dbus interface (#157477)
- Updated icons tarball with new art from UI team.
* Mon Mar 20 2006 rodrigo@suse.de
- Added gnome-power-manager-battery-removal.patch, fixes #158682.
* Tue Mar 14 2006 rodrigo@suse.de
- Updated to latest upstream release, which fixes the HAL part of
  [#150042].
- Updated gnome-screensaver-autostart.patch.
* Fri Mar  3 2006 rodrigo@suse.de
- Updated to 2.13.92, which fixes several bugs (#140871, #153594)
- Removed upstreamed patch.
* Mon Feb 27 2006 rodrigo@suse.de
- Establish connection to D-BUS powersave interface (#6196)
* Tue Feb 21 2006 dobey@suse.de
- Update new artwork
- Fixes missing new artwork for a couple of status icons and about
  box logo image
* Tue Feb 21 2006 dobey@suse.de
- Add in new icon artwork
* Thu Feb  9 2006 jpr@suse.de
- Pass extra param to prevent crash (#144346)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 rodrigo@suse.de
- Reenable libnotify support.
* Mon Jan 23 2006 rodrigo@suse.de
- Use --sm-disable when running autostarted daemon.
* Wed Jan 18 2006 gekker@suse.de
- Disable scrollkeeper update during build
* Tue Jan 17 2006 mls@suse.de
- xsltproc -> libxslt
* Tue Jan 17 2006 rodrigo@suse.de
- Added xsltproc to neededforbuild.
* Tue Jan 17 2006 rodrigo@suse.de
- Updated to 0.3.4 releases.
- Removed obsolete patch.
- Fixed package dependencies and build problems.
* Mon Dec 12 2005 jpr@suse.de
- Update to cvs snapshot to work with latest hal
- Temporarily disable libnotify support
* Wed Nov  9 2005 rodrigo@suse.de
- Added X-GNOME-Autostart-enabled flag to autostart .desktop file.
- Made autostart .desktop file %%config.
* Wed Nov  9 2005 rodrigo@suse.de
- Added gnome-session-autostart.patch to include needed files for
  autostart implementation.
* Mon Oct 24 2005 ro@suse.de
- added hal to nfb
* Tue Oct  4 2005 rodrigo@suse.de
- Added gnome-power-manager-desktop.patch, to show the icon in the
  GNOME control center.
* Mon Oct  3 2005 rodrigo@suse.de
- Update to version 0.2.6.
- Removed upstreamed patches.
* Thu Sep 22 2005 gekker@suse.de
- Use RPM_OPT_FLAGS
- Fix uninitialized variables
- Fix strict aliasing
* Thu Sep 22 2005 rodrigo@suse.de
- Update to version 0.2.4.
- Added 64bit patch.
* Wed Sep 21 2005 rodrigo@suse.de
- Created template.
